Index: confbridge/conf_config_parser.c
===================================================================
--- confbridge/conf_config_parser.c	(revision 431019)
+++ confbridge/conf_config_parser.c	(working copy)
@@ -2277,7 +2277,7 @@
 	return 0;
 }
 
-static int apply_menu_hooks(struct confbridge_user *user, struct conf_menu *menu)
+static int apply_menu_to_user(struct confbridge_user *user, struct conf_menu *menu)
 {
 	struct conf_menu_entry *menu_entry;
 
@@ -2301,6 +2301,7 @@
 			menu_hook_destroy(pvt);
 		}
 	}
+	strcpy(user->menu_name, menu->name);
 
 	return 0;
 }
@@ -2322,7 +2323,7 @@
 			b_data = datastore->data;
 			if (b_data->m_usable) {
 				menu = ao2_bump(b_data->menu);
-				return apply_menu_hooks(user, menu);
+				return apply_menu_to_user(user, menu);
 			}
 		}
 	}
@@ -2340,7 +2341,7 @@
 		return -1;
 	}
 
-	return apply_menu_hooks(user, menu);
+	return apply_menu_to_user(user, menu);
 }
 
 void conf_destroy_config(void)
Index: confbridge/include/confbridge.h
===================================================================
--- confbridge/include/confbridge.h	(revision 431019)
+++ confbridge/include/confbridge.h	(working copy)
@@ -239,7 +239,7 @@
 	struct confbridge_conference *conference;    /*!< Conference bridge they are participating in */
 	struct bridge_profile b_profile;             /*!< The Bridge Configuration Profile */
 	struct user_profile u_profile;               /*!< The User Configuration Profile */
-	char menu_name[64];                          /*!< The name of the DTMF menu assigned to this user */
+	char menu_name[128];                         /*!< The name of the DTMF menu assigned to this user */
 	char name_rec_location[PATH_MAX];            /*!< Location of the User's name recorded file if it exists */
 	struct ast_channel *chan;                    /*!< Asterisk channel participating */
 	struct ast_bridge_features features;         /*!< Bridge features structure */
